Package ghidra.app.util.bin.format.omf.omf51

# Class Omf51ExternalDef

java.lang.Object
ghidra.app.util.bin.format.omf.omf51.Omf51ExternalDef

public class Omf51ExternalDef extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ID_BLOCK_EXTERNAL`
  `static final int`
  `ID_BLOCK_RELOCATABLE`
  `static final int`
  `ID_BLOCK_SEGMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Omf51ExternalDef(BinaryReader reader, boolean largeSegmentId)`
  Creates a new `Omf51ExternalDef`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getBlockType()`
  Returns the block type (should always be 2 - ID_BLOCK_EXTERNAL.
  `int`
  `getExtId()`
  Returns the external reference id.
  `byte`
  `getInfo()`
  Returns the symbol info.
  `OmfString`
  `getName()`
  Returns the symbol name.
  `int`
  `getRegBank()`
  Returns the register bank this procedure is fixed to.
  `int`
  `getUsageType()`
  Returns the usage type (CODE, XDATA, etc).
  `boolean`
  `isFixedReg()`
  Returns whether or not this procedure is fixed to a register bank.
  `boolean`
  `isVariable()`
  Returns whether or not this symbol is a variable or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID_BLOCK_SEGMENT

    public static final int ID_BLOCK_SEGMENT
    See Also:
      - Constant Field Values

  - ### ID_BLOCK_RELOCATABLE

    public static final int ID_BLOCK_RELOCATABLE
    See Also:
      - Constant Field Values

  - ### ID_BLOCK_EXTERNAL

    public static final int ID_BLOCK_EXTERNAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Omf51ExternalDef

    public Omf51ExternalDef(BinaryReader reader, boolean largeSegmentId) throws IOException
    Creates a new `Omf51ExternalDef`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the external definition
      `largeSegmentId` - True if the external ID is 2 bytes; false if 1 byte
    Throws:
      `IOException` - if an IO-related error occurred

- ## Method Details

  - ### getBlockType

    public byte getBlockType()
    Returns the block type (should always be 2 - ID_BLOCK_EXTERNAL.
    Returns:
      the block type (should always be 2 - ID_BLOCK_EXTERNAL

  - ### getExtId

    public int getExtId()
    Returns the external reference id.
    Returns:
      the external reference id

  - ### getInfo

    public byte getInfo()
    Returns the symbol info.
    Returns:
      the symbol info

  - ### getName

    public OmfString getName()
    Returns the symbol name.
    Returns:
      the symbol name

  - ### getUsageType

    public int getUsageType()
    Returns the usage type (CODE, XDATA, etc).
    Returns:
      the usage type (CODE, XDATA, etc)

  - ### isVariable

    public boolean isVariable()
    Returns whether or not this symbol is a variable or not.
    Returns:
      whether or not this symbol is a variable or not

  - ### isFixedReg

    public boolean isFixedReg()
    Returns whether or not this procedure is fixed to a register bank.
    Returns:
      whether or not this procedure is fixed to a register bank

  - ### getRegBank

    public int getRegBank()
    Returns the register bank this procedure is fixed to.
    Returns:
      the register bank this procedure is fixed to